package com.crm.ucard.dao.mapper;

import com.crm.rely.backend.core.dto.ucard.CardTypeDto;
import com.crm.rely.backend.core.entity.ucard.CardTypePageEntity;
import com.crm.rely.backend.core.pojo.table.ucard.CardTypeTable;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface CardTypeMapper {

    Integer countList(CardTypePageEntity entity);

    List<CardTypeDto> pageList(CardTypePageEntity entity);

    List<CardTypeDto> getByEnableStatus();

    CardTypeDto getByCardTypeId(Integer cardTypeId);

    void batchSave(List<CardTypeTable> list);

    void deleteByCardCategory(Integer cardCategory);
}
